PHP-инклюдинг в NagiosQL

Дата публикации:
16.05.2007
Дата изменения:
20.05.2008
Всего просмотров:
1989
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Раскрытие системных данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
NagiosQL 2.x
Уязвимые версии: NagiosQL 2.00-P00, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметрах "SETS[path][physical]" и "SETS[path][IT]" в сценарии functions/prepend_adm.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/[nagiosQL_path]/functions/prepend_adm.php?SETS[path][physical]=[file]

URL производителя: www.nagiosql.org

Решение: Установите последнюю версию 2.0.2 с сайта производителя.

Журнал изменений:

20.05.2008
Изменена секция «Решение».

или введите имя

CAPTCHA